<?php
/*
Plugin Name: Adsight Slider
	
Plugin URI: https://adsight.nl
Description: Adds a Side slider to your website with configureable video file
Author: Adsight.nl
Version: 2.3.3
Author URI: https://adsight.nl
Text Domain: adsight-slider
Domain Path: /languages/	
License: N/A
*/		

class Adsight_Slider {
	public const VERSION = '2.3.3';
	public const NAME = 'adsight-slider';
	private static $instance = null;
	public static $plugin_basename = null;
	public static $is_configured = false;
	
	public static $plugin_basename_file = null;
	public static $plugin_slug = null;
	public static $cache_key = 'adsight-slider';
	public static $cache_allowed = true;
	
	public static function get_instance()
	{
		if (!self::$instance) {
			self::$instance = new self();
		}
	
		return self::$instance;
	}
	function __construct(){
			add_action('init', array($this, 'init'));
			$this::$is_configured = true;			
	}
	
	function init(){
		$this::$plugin_basename = plugin_basename(__FILE__);
		$this::$plugin_basename_file = plugin_basename(__FILE__);
		$this::$plugin_slug = plugin_basename( __DIR__ );
		add_action('wp_footer', array($this, 'addFooter'));
		add_shortcode('adsight-slider', Array($this, 'load_slider'),8);
		//keep backwards compatibility
		add_shortcode('adsight-slider-pro', Array($this, 'load_slider'),8);
		add_shortcode('slider-pro', Array($this, 'load_slider'),8);
		add_action('the_content', array($this, 'add_trigger'), 8);
		load_plugin_textdomain( 'adsight-slider', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
		if (is_admin()) {
			require_once __DIR__ . '/admin.php';
			$admin = new Adsight_Slider_Admin();
		}
	}
	
	function load_slider($args, $content = ''){
		return;
	}	
		
	function addFooter(){
		$option = get_option('adsight-slider');
		$protocols = array('https://www.', 'http://www.','https://', 'http://');
			
		if(!class_exists('Adsight_Player')){
				wp_enqueue_script('adsight-player', "https://tags.adsight.nl/".str_replace($protocols, '', get_bloginfo('wpurl')).".js", '', $this::VERSION	);
			}
			if(is_single()){
			if($option['header-ads'] == 'yes'){
			echo '<div id="adsight-header-div"></div>';
			}	
			echo "<div id=\"adsight-slider\"></div>";
			}		
			wp_localize_script('adsight-player', 'adsight_slider', array('pluginPath' => plugins_url().'/adsight-slider/', 'option' => $option, 'title' => $option['read_this'] .'<br/>'. get_the_title()));
			
	}
	
	function add_trigger($content){
		if(is_single()){
			$option = get_option('adsight-slider');
			$paragrah = $option['paragrah'];
			if(empty($paragrah)){
				$paragrah = 2;
			}
			$new_content = [];
			$paragrahs =  explode("\n", $content);
			for($i = 0; $i < count($paragrahs); $i++){
				$new_content[] = $paragrahs[$i];
				if($i == $paragrah){
					$new_content[] = '<div id="adsight-trigger"></div>';
				}
			}
	
			return implode("\n", $new_content);
		}else{
			return $content;
		}
	}
}
Adsight_Slider::get_instance();